# Uberall API

Enhance your application with Uberall's comprehensive API documentation

Version: 20260131
License: Licensed under Uberall

## Servers

```
https://uberall.com/api
```

## Security

### X-API-KEY

API key for server-to-server authentication. Must be kept confidential. Include as a header with all protected endpoints.

Type: apiKey
In: header
Name: X-API-KEY

### Authorization

Bearer token for authenticated user access. Obtain via the authentication endpoints.
                                Include in the Authorization header as 'Bearer {token}'. Tokens expire after a set period and may need to be refreshed.

Type: http
Scheme: bearer

### BasicAuth

Basic authentication using username and password. Credentials should be Base64 encoded in the format 'username:password'.

Type: http
Scheme: basic

### X-PUBLIC-API-KEY

Client-side API key intended for non-sensitive operations from browsers.
                                    This key has highly restricted permissions and can only be used for status checks. Include as a header with applicable requests.

Type: apiKey
In: header
Name: X-PUBLIC-API-KEY

### privateKey

Private authorization key

Type: apiKey
In: header
Name: Authorization

### publicKey

Public Key

Type: apiKey
In: header
Name: publicKey

## Download OpenAPI description

[Uberall API](https://docs.uberall.com/_bundle/apis/swagger.yaml)

## Users

Set up - Users

### Provide an access_token for the user

 - [POST /users/login](https://docs.uberall.com/apis/swagger/users/post_users_login.md): Provides an access_token for the email or the userId provided in the LoginCommand.
The accepted couples are:
[email, password]
[email, private_key]
[userId, private_key]

### Get All Users

 - [GET /users](https://docs.uberall.com/apis/swagger/users/get_users.md): Get all users managed by the current API key

### Create a User

 - [POST /users](https://docs.uberall.com/apis/swagger/users/post_users.md): Create a new user, subject to throttling of 10 creations per 10 seconds.

### Get a User

 - [GET /users/{id}](https://docs.uberall.com/apis/swagger/users/get_users_id.md): Get a user identified by its uberall unique id

### Delete a User

 - [DELETE /users/{id}](https://docs.uberall.com/apis/swagger/users/delete_users_id.md): Delete a user identified by its uberall unique id

### Update a User

 - [PATCH /users/{id}](https://docs.uberall.com/apis/swagger/users/patch_users_id.md): Edit an existing user

### Log out the current user

 - [POST /users/logout](https://docs.uberall.com/apis/swagger/users/post_users_logout.md): Logs out the current user and invalidates the access_token associated with this session

### Invalidate all active user sessions

 - [DELETE /users/{id}/all-sessions](https://docs.uberall.com/apis/swagger/users/delete_users_id_all_sessions.md): Invalidates all active sessions associated with the user

## Business Connections

Set up - Business Connections

### Connect a business

 - [POST /business-connections/{directoryType}/connect/{businessId}](https://docs.uberall.com/apis/swagger/business-connections/post_business_connections_directorytype_connect_businessid.md): Creates a business connection between the business and the external entity on directory (e.g. brand page for FB)

### Count of connections

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/count](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_count.md): Get number of all business connections created under given salesPartner

### Disconnect a business

 - [PUT /business-connections/{directoryType}/disconnect/{businessId}](https://docs.uberall.com/apis/swagger/business-connections/put_business_connections_directorytype_disconnect_businessid.md): Deletes or disconnects the current business connection

### Check account connections for missing permissions

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/accounts-connections-check](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_accounts_connections_check.md): Returns directory user accounts for a sales partner with information about whether each account requires user action (re-authentication or missing permissions).

### List of external entities

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/pages](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_pages.md): Get list of all the external entities on directories that correspond to all connected accounts on given salesPartner (e.g. brand pages list for FB of all the accounts that have been authenticated under sp)

### List all external entities

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/account/{accountId}/pages](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_account_accountid_pages.md): Get list of all the external entities on directories on given salesPartner that correspond to specified account.

### List of all directory user accounts connected to sales partner

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/users](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_users.md): Get list of all the directory user accounts that correspond to all connected accounts
                        on given salesPartner (e.g. list of all the accounts that have been authenticated under sp)

### Get business connections by directory type

 - [GET /business-connections/{directoryType}](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype.md): Retrieves a list of businesses and their connection types for a specific directory type. Returns up to 50 entries that match the optional filter criteria.

### List of business connections

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/list](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_list.md): Get detailed list of business connections created under given salesPartner

## Businesses

Set up - Businesses

### Get a List of Businesses

 - [GET /businesses](https://docs.uberall.com/apis/swagger/businesses/get_businesses.md): Get a list of businesses managed by the current user.

### Create a Business

 - [POST /businesses](https://docs.uberall.com/apis/swagger/businesses/post_businesses.md): Create a Business belonging to the SalesPartner of the current User. User needs UserRole ADMIN or ACCOUNT_MANAGER.

### Get a Business

 - [GET /businesses/{id}](https://docs.uberall.com/apis/swagger/businesses/get_businesses_id.md): Get information about the business with the given id. Current user needs UserRole ADMIN, ACCOUNT_MANAGER or BUSINESS_MANAGER.

### Delete a Business

 - [DELETE /businesses/{id}](https://docs.uberall.com/apis/swagger/businesses/delete_businesses_id.md): Delete the business with the given id. Current user needs UserRole ADMIN, ACCOUNT_MANAGER or BUSINESS_MANAGER. Locations within the businesses need to be deleted separately.

### Update a Business

 - [PATCH /businesses/{id}](https://docs.uberall.com/apis/swagger/businesses/patch_businesses_id.md): Edit information of the business with the given id. Current user needs UserRole ADMIN, ACCOUNT_MANAGER or BUSINESS_MANAGER.

### Migrate the Business to a new SalesPartner

 - [POST /businesses/{id}/migrate](https://docs.uberall.com/apis/swagger/businesses/post_businesses_id_migrate.md): Migration is only possible from parent sales partner to child sales partner or between children sales partners.

### Get the product plans for businesses

 - [GET /businesses/product-plans](https://docs.uberall.com/apis/swagger/businesses/get_businesses_product_plans.md): Get the product plans assigned to a business

### Get Businesses' Statistics

 - [GET /businesses/statistics](https://docs.uberall.com/apis/swagger/businesses/get_businesses_statistics.md): Get statistics about the businesses the current user is managing: total and breakdown by status

### Sync All Business' Locations

 - [POST /businesses/{businessId}/locations/sync](https://docs.uberall.com/apis/swagger/businesses/post_businesses_businessid_locations_sync.md): Start a sync on all directories for all locations in the business with the given id. Current user needs UserRole ADMIN, ACCOUNT_MANAGER or BUSINESS_MANAGER.

### Returns only the Facebook brand pages for the given Facebook account

 - [GET /businesses/{id}/business-connect/facebook/{facebookAccountId}/brand-page-list](https://docs.uberall.com/apis/swagger/businesses/get_businesses_id_business_connect_facebook_facebookaccountid_brand_page_list.md): Returns only the Facebook brand pages

## Configuration

Set up - Configuration

### Get All Directory Brands

 - [GET /directory-brand/sales-partner/{salesPartnerId}/user-account/{accountId}/{directoryType}](https://docs.uberall.com/apis/swagger/configuration/get_directory_brand_sales_partner_salespartnerid_user_account_accountid_directorytype.md): Returns a list of directory brands for the given account and directory

### Create Directory Brand

 - [POST /directory-brand/sales-partner/{salesPartnerId}/user-account/{accountId}/{directoryType}](https://docs.uberall.com/apis/swagger/configuration/post_directory_brand_sales_partner_salespartnerid_user_account_accountid_directorytype.md): Create directory brand for the given sales partner id, directory user account and directory type

### Get All Directories details by country

 - [GET /directories/directories-details/countries](https://docs.uberall.com/apis/swagger/configuration/get_directories_directories_details_countries.md): Returns a list of directories details filtered by country

### Get available and potential features per location (business)

 - [GET /features](https://docs.uberall.com/apis/swagger/configuration/get_features.md): Get user features partitioned by location.

## Sales Partners

Set up - Tenancy - Sales Partners

### Disconnect Directory User Account

 - [POST /sales-partners/{id}/user-accounts/{accountId}/{directoryType}](https://docs.uberall.com/apis/swagger/sales-partners/post_sales_partners_id_user_accounts_accountid_directorytype.md): Disconnects the Dierctory User Account for the given sales partner and invalidates it if no other sales partner is connected to it

### Update SSO Settings of a SalesPartner

 - [PATCH /sales-partners/{id}/sso-settings](https://docs.uberall.com/apis/swagger/sales-partners/patch_sales_partners_id_sso_settings.md): Can be used to update certain SSO settings for a single SalesPartner.

### Search among child SalesPartners

 - [GET /sales-partners](https://docs.uberall.com/apis/swagger/sales-partners/get_sales_partners.md): Can be used for searching through all children SalesPartner for the given parent SalesPartner

### Create child SalesPartner

 - [POST /sales-partners](https://docs.uberall.com/apis/swagger/sales-partners/post_sales_partners.md): Can be used to create new child SalesPartner that will be then associated to your parent SalesPartner.

### Get a single SalesPartner

 - [GET /sales-partners/{id}](https://docs.uberall.com/apis/swagger/sales-partners/get_sales_partners_id.md): Can be used for retrieving informations about a single SalesPartner. This could either be your own SalesPartner or if your SalesPartner is a parent an associated child SalesPartner.

### Update a single SalesPartner

 - [PUT /sales-partners/{id}](https://docs.uberall.com/apis/swagger/sales-partners/put_sales_partners_id.md): Can be used to either update your own SalesPartner or if your SalesPartner is a parent you will be able to also update associated child SalesPartners.

### Get all possible webhooks types

 - [GET /sales-partners/subscribable-event-types](https://docs.uberall.com/apis/swagger/sales-partners/get_sales_partners_subscribable_event_types.md): Can be used to get a full list of all subscribable event types. These event types (if subscribed to) will generate a PushMessage that is being sent out via the implemented webhook functionality to the set pushUrl of the SalesPartner

### Get all photos of a SalesPartner

 - [GET /sales-partners/{id}/photos](https://docs.uberall.com/apis/swagger/sales-partners/get_sales_partners_id_photos.md): Can be used to get all photos of a SalesPartner

## Monitoring

Set up - API Status

### Get API Status

 - [GET /ping](https://docs.uberall.com/apis/swagger/monitoring/get_ping.md): Get the current status of uberall API

## Product Plans

Set up - Tenancy - Product Plans

### Get All Product Plans

 - [GET /product-plans](https://docs.uberall.com/apis/swagger/product-plans/get_product_plans.md): Get all product plans available to the current API user

### Create a Product Plan

 - [POST /product-plans](https://docs.uberall.com/apis/swagger/product-plans/post_product_plans.md): Create a new Product Plan. The new Product Plan will be always created into PENDING_APPROVAL status.

### Update a Product Plan

 - [PATCH /product-plans/{id}](https://docs.uberall.com/apis/swagger/product-plans/patch_product_plans_id.md): Update an existing Product Plan. Only defaultPlan, description, name, status are updatable via API.

## Webhooks

Set up - Tenancy - Sales Partners - Webhooks

### Get all webhooks that are currently set

 - [GET /sales-partners/webhooks](https://docs.uberall.com/apis/swagger/webhooks/get_sales_partners_webhooks.md): Returns a list of all active webhooks

### Create a Webhook

 - [POST /sales-partners/webhooks](https://docs.uberall.com/apis/swagger/webhooks/post_sales_partners_webhooks.md): Creates a new webhook, consisting of a pushUrl and a event type. For a list of all possible types use the GET /api/sales-partners/subscribable-event-types.

### Get a Webhook

 - [GET /sales-partners/webhooks/{id}](https://docs.uberall.com/apis/swagger/webhooks/get_sales_partners_webhooks_id.md): Returns the webhook with the given id

### Delete a Webhook

 - [DELETE /sales-partners/webhooks/{id}](https://docs.uberall.com/apis/swagger/webhooks/delete_sales_partners_webhooks_id.md): Deletes the webhook with the given id

### Update a Webhook

 - [PATCH /sales-partners/webhooks/{id}](https://docs.uberall.com/apis/swagger/webhooks/patch_sales_partners_webhooks_id.md): Edits the webhook with the given id

## Auto Response

Products - Auto Response

### Check for Auto Response Rule conflicts

 - [POST /auto-response/rules/check-conflict](https://docs.uberall.com/apis/swagger/auto-response/post_auto_response_rules_check_conflict.md): Check if there are any other Auto Response Rules that have status ACTIVE, apply to at least one of the businesses or locations in this request, and share at least one of the triggers in this request. When editing an existing Auto Response Rule, its id should be passed in ignoreRule so that it is not returned as a false positive.

### List Auto Response Rules with filters

 - [GET /auto-response/rules](https://docs.uberall.com/apis/swagger/auto-response/get_auto_response_rules.md): List Auto Response Rules with filters

### Create an Auto Response Rule

 - [POST /auto-response/rules](https://docs.uberall.com/apis/swagger/auto-response/post_auto_response_rules.md): Create an Auto Response Rule

### Get an Auto Response Rule

 - [GET /auto-response/rules/{id}](https://docs.uberall.com/apis/swagger/auto-response/get_auto_response_rules_id.md): Get an Auto Response Rule

### Delete an Auto Response Rule

 - [DELETE /auto-response/rules/{id}](https://docs.uberall.com/apis/swagger/auto-response/delete_auto_response_rules_id.md): Delete an Auto Response Rule. Only rules that can be edited by the current user can be deleted

### Edit an Auto Response Rule

 - [PATCH /auto-response/rules/{id}](https://docs.uberall.com/apis/swagger/auto-response/patch_auto_response_rules_id.md): Edit an Auto Response Rule. The current user can edit this rule when they have access to all businesses and locations that identify this rule.

## Brand Data Points

Products - Brand Data Points

### Like a Brand Data Point

 - [POST /brand-data-points/{id}/like](https://docs.uberall.com/apis/swagger/brand-data-points/post_brand_data_points_id_like.md): Like a brand data point

### Unlike a Brand Data Point

 - [DELETE /brand-data-points/{id}/like](https://docs.uberall.com/apis/swagger/brand-data-points/delete_brand_data_points_id_like.md): Unlike a brand data point

### Edit reply to a Brand Data Point

 - [PUT /brand-data-points/{id}/reply/{replyId}/approval](https://docs.uberall.com/apis/swagger/brand-data-points/put_brand_data_points_id_reply_replyid_approval.md): Editing an existing reply that needs approval to a Brand Data Point

### Approve reply to a Brand Data Point

 - [POST /brand-data-points/{id}/reply/{replyId}/approval](https://docs.uberall.com/apis/swagger/brand-data-points/post_brand_data_points_id_reply_replyid_approval.md): Approves a reply to a brand data point.

### Reject a reply to a Brand Data Point

 - [DELETE /brand-data-points/{id}/reply/{replyId}/approval](https://docs.uberall.com/apis/swagger/brand-data-points/delete_brand_data_points_id_reply_replyid_approval.md): Deletes a reply to a brand data point that needs approval.

### Reply to a Brand Data Point

 - [PATCH /brand-data-points/{id}/reply](https://docs.uberall.com/apis/swagger/brand-data-points/patch_brand_data_points_id_reply.md): Reply with a text to a Brand Data Point, e.g. a review

## Dashboard

Products - Analytics - Dashboard

### Get Customer Feedback

 - [GET /dashboard/customer-feedback](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_customer_feedback.md): Get the Customer Feedback of the user managed locations filtered by the given ids

### Get Customer Feedback by Period

 - [GET /dashboard/customer-feedback-by-period](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_customer_feedback_by_period.md): Get the Customer Feedback of the user managed locations filtered by the given ids grouped by period

### Get Customer Feedback Keywords.

 - [GET /dashboard/customer-feedback-keywords](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_customer_feedback_keywords.md): Returns the 100 most mentioned Keywords and the average Rating of the Reviews where they appeared.

### Get Insights Export Data

 - [GET /dashboard/export-insights-data](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_export_insights_data.md): Get the exported insights data

### Get Insights Export Data with threshold

 - [GET /dashboard/export-insights-data-with-threshold](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_export_insights_data_with_threshold.md): Gets all insights data for the locations. When the request takes too much time, the user will receive the link to the file in an email.

### Get Insights Data

 - [GET /dashboard/insights-data](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_insights_data.md): Get Insights Data

### Get Insights Warnings

 - [GET /dashboard/insights-data/warnings](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_insights_data_warnings.md): Get the Insights warnings. The list of locations/accounts connected/unconnected, which need a user action to be able collecting insights for.

### Get Listing Health

 - [GET /dashboard/listing-health/{id}](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_listing_health_id.md): Get the Listing Health for the locations managed by the current user

### Get Managers Count

 - [GET /dashboard/managers-count/{id}](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_managers_count_id.md): Get the Managers Count

### Get Next Best Actions

 - [GET /dashboard/next-best-actions/{id}](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_next_best_actions_id.md): Get the Next Best Actions recommended to the current user

### Get Profile Completeness

 - [GET /dashboard/profile-completeness](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_profile_completeness.md): Get the profile completeness of the locations managed by the current user

### Get Suppressed Duplicates

 - [GET /dashboard/suppressed-duplicates](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_suppressed_duplicates.md): Get the suppressed duplicates info

### Get Visibility Index

 - [GET /dashboard/visibility-index/{id}](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_visibility_index_id.md): Get the Visibility Index of the locations managed by the current user

### Get Feed (deprecated)

 - [GET /dashboard/feed](https://docs.uberall.com/apis/swagger/dashboard/get_dashboard_feed.md): Get the Feed of latest activities related to the managed locations

## Dashboard Exports

Products - Analytics - Dashboard Exports

### Get a list of dashboard exports

 - [GET /dashboard-exports](https://docs.uberall.com/apis/swagger/dashboard-exports/get_dashboard_exports.md): Get a list of dashboard exports.

### Invoke a creation of a dashboard export

 - [POST /dashboard-exports](https://docs.uberall.com/apis/swagger/dashboard-exports/post_dashboard_exports.md): Invoke creation of a dashboard export (in PDF format) asynchronously.

### Download the result of a dashboard export (a PDF file)

 - [GET /dashboard-exports/{id}/download](https://docs.uberall.com/apis/swagger/dashboard-exports/get_dashboard_exports_id_download.md): Download the result of a dashboard export (a PDF file).

### Get details of a dashboard export by ID

 - [GET /dashboard-exports/{id}](https://docs.uberall.com/apis/swagger/dashboard-exports/get_dashboard_exports_id.md): Get details of dashboard export by ID.

## Data Point Filters

Products - Data Points - Data Point Filters

### Get available filters for filtering data points

 - [GET /data-points/filters](https://docs.uberall.com/apis/swagger/data-point-filters/get_data_points_filters.md): Get available filters for filtering data points, which the current api user has access to.

### Create a new saved datapoint's filter

 - [POST /data-points/filters](https://docs.uberall.com/apis/swagger/data-point-filters/post_data_points_filters.md): Creates a new DataPointFilter

### Get a saved datapoint's filter

 - [GET /data-points/filters/{id}](https://docs.uberall.com/apis/swagger/data-point-filters/get_data_points_filters_id.md): The Uberall locationId

### Delete a saved datapoint's filter

 - [DELETE /data-points/filters/{id}](https://docs.uberall.com/apis/swagger/data-point-filters/delete_data_points_filters_id.md): Deletes a specific DataPointFilter

### Update a saved datapoint's filter

 - [PATCH /data-points/filters/{id}](https://docs.uberall.com/apis/swagger/data-point-filters/patch_data_points_filters_id.md): Changes a specific DataPointFilter

### List all saved datapoint's filters the user has access

 - [GET /data-points/filters/list](https://docs.uberall.com/apis/swagger/data-point-filters/get_data_points_filters_list.md): Shows owned or subscribed DataPointFilters

### Subscribe to a saved datapoint's filter

 - [POST /data-points/filters/{id}/subscription](https://docs.uberall.com/apis/swagger/data-point-filters/post_data_points_filters_id_subscription.md): Subscribe to a specific DataPointFilter

### Unsubscribe from a saved datapoint's filter

 - [DELETE /data-points/filters/{id}/subscription](https://docs.uberall.com/apis/swagger/data-point-filters/delete_data_points_filters_id_subscription.md): Unsubscribe from a specific DataPointFilter

## Data Points

Products - Data Points

### Edit reply to a Data Point

 - [PUT /data-points/{id}/reply/{replyId}/approval](https://docs.uberall.com/apis/swagger/data-points/put_data_points_id_reply_replyid_approval.md): Editing an existing reply that needs approval to a Data Point

### Approve reply to a Data Point

 - [POST /data-points/{id}/reply/{replyId}/approval](https://docs.uberall.com/apis/swagger/data-points/post_data_points_id_reply_replyid_approval.md): Approves a reply to a data point.

### Reject a reply to a Data Point

 - [DELETE /data-points/{id}/reply/{replyId}/approval](https://docs.uberall.com/apis/swagger/data-points/delete_data_points_id_reply_replyid_approval.md): Deletes a reply to a data point that needs approval.

### Report a Data Point

 - [POST /data-points/{id}/flag](https://docs.uberall.com/apis/swagger/data-points/post_data_points_id_flag.md): Flag a data point on the directory

### Get a Data Point

 - [GET /data-points/{id}](https://docs.uberall.com/apis/swagger/data-points/get_data_points_id.md): Get information about a single Data Point

### Like a Data Point

 - [POST /data-points/{id}/like](https://docs.uberall.com/apis/swagger/data-points/post_data_points_id_like.md): LIke a review (Facebook, Foursquare, ...)

### Unlike a Data Point

 - [DELETE /data-points/{id}/like](https://docs.uberall.com/apis/swagger/data-points/delete_data_points_id_like.md): Unlike a review (Facebook, Foursquare, ...)

### Moderate a Data Point

 - [POST /data-points/{id}/moderate](https://docs.uberall.com/apis/swagger/data-points/post_data_points_id_moderate.md): Moderate a Data Point. 
Only Data Points that belong to a WEBSITE_WIDGETS directory can be moderated.

### Mark as Read

 - [POST /data-points/read](https://docs.uberall.com/apis/swagger/data-points/post_data_points_read.md): Mark one or several inbox items as read

### Mark as Unread

 - [DELETE /data-points/read](https://docs.uberall.com/apis/swagger/data-points/delete_data_points_read.md): Mark one or several inbox items as unread

### Get All Data Points

 - [GET /data-points](https://docs.uberall.com/apis/swagger/data-points/get_data_points.md): Get all data points, potentially filtered by directory, business, rating...

### Reply to a Data Point

 - [PATCH /data-points/{id}/reply](https://docs.uberall.com/apis/swagger/data-points/patch_data_points_id_reply.md): Reply with a text to a Data Point, e.g. a review

### Get Data Points' Statistics

 - [GET /data-points/statistics](https://docs.uberall.com/apis/swagger/data-points/get_data_points_statistics.md): Returns statistics about the locations inbox.

### Get Data Points' time series

 - [GET /data-points/timeseries](https://docs.uberall.com/apis/swagger/data-points/get_data_points_timeseries.md): Returns time series of Data Points

## Digital Asset Management

Products - Digital Asset Management

### Create a new social template as a digital asset

 - [POST /social-templates](https://docs.uberall.com/apis/swagger/digital-asset-management/post_social_templates.md): Create a new social template as a part of the Digital Asset Management (DAM) framework.

### Edit an existing social template

 - [PATCH /social-templates/{id}](https://docs.uberall.com/apis/swagger/digital-asset-management/patch_social_templates_id.md): Edit an existing social template identified by its unique uberall ID

## Digital Asset Management Service

Products - Digital Asset Management Service

### List assets

 - [GET /dam/assets](https://docs.uberall.com/apis/swagger/digital-asset-management-service/list_digital_asset_management_service.md): Returns enriched assets visible to the user. Requires either type or folder_ids.

### Get an asset

 - [GET /dam/assets/{id}](https://docs.uberall.com/apis/swagger/digital-asset-management-service/get_digital_asset_management_service.md): Retrieves a single enriched asset by its ID.

### Delete an asset

 - [DELETE /dam/assets/{id}](https://docs.uberall.com/apis/swagger/digital-asset-management-service/delete_digital_asset_management_service.md): Deletes an asset by its ID. It also deletes the associated template

### Update an asset

 - [PATCH /dam/assets/{id}](https://docs.uberall.com/apis/swagger/digital-asset-management-service/update_digital_asset_management_service.md): Updates an existing asset by its ID.

### List folders

 - [GET /dam/folders](https://docs.uberall.com/apis/swagger/digital-asset-management-service/list_1_digital_asset_management_service.md): Returns folders accessible to the current user.

### Create a folder

 - [POST /dam/folders](https://docs.uberall.com/apis/swagger/digital-asset-management-service/create_digital_asset_management_service.md): Creates a new folder.

### Get a folder

 - [GET /dam/folders/{id}](https://docs.uberall.com/apis/swagger/digital-asset-management-service/get_1_digital_asset_management_service.md): Retrieves a folder by its ID, including visible and total asset counts.

### Delete a folder

 - [DELETE /dam/folders/{id}](https://docs.uberall.com/apis/swagger/digital-asset-management-service/delete_1_digital_asset_management_service.md): Deletes a folder by its ID.

### Update a folder

 - [PATCH /dam/folders/{id}](https://docs.uberall.com/apis/swagger/digital-asset-management-service/update_1_digital_asset_management_service.md): Partially updates an existing folder by its ID.

## Homepage API Service

Products - Homepage API Service

### Returns OK

 - [GET /](https://docs.uberall.com/apis/swagger/homepage-api-service/index_homepage_api_service.md)

### Get key metrics

 - [POST /home/key-metrics](https://docs.uberall.com/apis/swagger/homepage-api-service/get_key_metrics_homepage_api_service.md): Fetches aggregated key metrics for the authenticated user based on the provided location filters.

### Get key metrics configuration

 - [GET /home/key-metrics/configuration](https://docs.uberall.com/apis/swagger/homepage-api-service/get_configuration_homepage_api_service.md): Retrieves the current key metrics configuration for the authenticated user.

### Update key metrics configuration

 - [PUT /home/key-metrics/configuration](https://docs.uberall.com/apis/swagger/homepage-api-service/update_configuration_homepage_api_service.md): Replaces the key metrics configuration for the authenticated user with the provided settings.

### Get location rankings via GET

 - [GET /home/locations/ranks](https://docs.uberall.com/apis/swagger/homepage-api-service/get_locations_ranking_homepage_api_service.md): Retrieves a paginated ranking of locations based on their scores, using query parameters for filter criteria.

### Get location rankings via POST

 - [POST /home/locations/ranks](https://docs.uberall.com/apis/swagger/homepage-api-service/post_get_locations_ranking_homepage_api_service.md): Retrieves a paginated ranking of locations based on their scores, using a POST body for filter criteria.

### Get location scores via GET

 - [GET /home/locations/score](https://docs.uberall.com/apis/swagger/homepage-api-service/get_locations_score_homepage_api_service.md): Retrieves aggregated location scores using filter criteria provided as query parameters.

### Get location scores via POST

 - [POST /home/locations/score](https://docs.uberall.com/apis/swagger/homepage-api-service/post_get_locations_score_homepage_api_service.md): Retrieves aggregated location scores using filter criteria provided in the request body.

### Get location benchmarks via GET

 - [GET /home/locations/score/benchmarks](https://docs.uberall.com/apis/swagger/homepage-api-service/get_benchmarks_homepage_api_service.md): Retrieves paginated location benchmark data using filter criteria provided as query parameters.

### Get location benchmarks via POST

 - [POST /home/locations/score/benchmarks](https://docs.uberall.com/apis/swagger/homepage-api-service/post_get_benchmarks_homepage_api_service.md): Retrieves paginated location benchmark data using filter criteria provided in the request body.

### Get products

 - [GET /home/products](https://docs.uberall.com/apis/swagger/homepage-api-service/get_products_homepage_api_service.md): Retrieves the list of products available to the user based on their feature flags.

### Save product request

 - [POST /home/products/request](https://docs.uberall.com/apis/swagger/homepage-api-service/save_product_request_homepage_api_service.md): Creates a new product request for the authenticated user.

### Get suggestions via GET

 - [GET /home/suggestions](https://docs.uberall.com/apis/swagger/homepage-api-service/get_suggestions_homepage_api_service.md): Retrieves a paginated list of suggestions for the user, using query parameters for location filter criteria.

### Get suggestions via POST

 - [POST /home/suggestions](https://docs.uberall.com/apis/swagger/homepage-api-service/post_get_suggestions_homepage_api_service.md): Retrieves a paginated list of suggestions for the user, using a POST body for location filter criteria.

### Dismiss a suggestion

 - [POST /home/suggestions/dismiss](https://docs.uberall.com/apis/swagger/homepage-api-service/dismiss_suggestion_homepage_api_service.md): Dismisses a suggestion of the given type for the authenticated user so it is no longer shown.

### Mark a suggestion as opened

 - [POST /home/suggestions/open](https://docs.uberall.com/apis/swagger/homepage-api-service/open_suggestion_homepage_api_service.md): Records that the user has opened/viewed a suggestion of the given type.

### Get tasks via GET

 - [GET /home/tasks](https://docs.uberall.com/apis/swagger/homepage-api-service/get_tasks_homepage_api_service.md): Retrieves paginated tasks for the authenticated user using query parameters for location filter criteria.

### Get tasks via POST

 - [POST /home/tasks](https://docs.uberall.com/apis/swagger/homepage-api-service/post_get_tasks_homepage_api_service.md): Retrieves paginated tasks for the authenticated user using a POST body for location filter criteria.

### Dismiss a task

 - [POST /home/tasks/dismiss](https://docs.uberall.com/apis/swagger/homepage-api-service/dismiss_task_homepage_api_service.md): Marks a task as dismissed for the given user, optionally scoped to a specific location and directory.

### Undo a task dismissal

 - [DELETE /home/tasks/dismiss](https://docs.uberall.com/apis/swagger/homepage-api-service/undo_dismiss_task_homepage_api_service.md): Reverts a previously dismissed task for the given user, optionally scoped to a specific location and directory.

### Mark a task as opened

 - [POST /home/tasks/open](https://docs.uberall.com/apis/swagger/homepage-api-service/open_task_homepage_api_service.md): Records that the user has opened a specific task, used for tracking task engagement.

### Get tips and tricks

 - [GET /home/tips-tricks](https://docs.uberall.com/apis/swagger/homepage-api-service/get_tips_tricks_homepage_api_service.md): Retrieves tips and tricks content tailored to the user's enabled products.

## Near Me Check

Products - Near Me Check

### Fetches Uberall categories

 - [GET /near-me-check/categories](https://docs.uberall.com/apis/swagger/near-me-check/get_categories_near_me_check.md)

### Create a report

 - [POST /report](https://docs.uberall.com/apis/swagger/near-me-check/create_near_me_check.md): Creates a report and fetches the data in the background

### Get report by id and token

 - [GET /report/{id}](https://docs.uberall.com/apis/swagger/near-me-check/get_near_me_check.md)

## Social AI Service

Products - Social AI Service

### Generate AI-based social post content

 - [POST /social-ai/generate-content](https://docs.uberall.com/apis/swagger/social-ai-service/generate_content_social_ai_service.md): It looks for previous social posts which match the context in the request 
            and use them to send to the AI to generate similar social post content that mimics tone and style

## Social Posting

Products - Social Posting

### Directories

 - [GET /social-posts/directories](https://docs.uberall.com/apis/swagger/social-posting/get_social_posts_directories.md): Get a list of directories where a posting is possible for the given combination of parameters.
The response also contains warnings like missing directory connections.

### Get several Social Posts

 - [GET /social-posts](https://docs.uberall.com/apis/swagger/social-posting/get_social_posts.md): Get several Social Posts.

### Create a Social Post

 - [POST /social-posts](https://docs.uberall.com/apis/swagger/social-posting/post_social_posts.md): Create a new Social Post. 
Requires either one businessId or one locationId or one label.
When a combination of those fields is provided all matching locations are added together.

### Get a Social Post

 - [GET /social-posts/{id}](https://docs.uberall.com/apis/swagger/social-posting/get_social_posts_id.md): Get a Social Plan identified by its unique uberall ID.

### Delete a Social Post

 - [DELETE /social-posts/{id}](https://docs.uberall.com/apis/swagger/social-posting/delete_social_posts_id.md): Delete an existing Social Post identified by its unique uberall ID.

### Update a Social Post

 - [PATCH /social-posts/{id}](https://docs.uberall.com/apis/swagger/social-posting/patch_social_posts_id.md): Edit an existing Social Post identified by its unique uberall ID.

### Get a list of Directory Pages

 - [GET /social-posts/directory-pages](https://docs.uberall.com/apis/swagger/social-posting/get_social_posts_directory_pages.md): Get several Directory Pages.

### Validate the Apple CTA

 - [POST /social-posts/validate-apple-cta](https://docs.uberall.com/apis/swagger/social-posting/post_social_posts_validate_apple_cta.md): Check if the CTA is valid for an Apple post

## Status Check

Products - Status Check

### Returns a list of the last searches

 - [GET /search](https://docs.uberall.com/apis/swagger/status-check/get_search.md): Returns a list of the last searches

### Initiate a Search

 - [POST /search](https://docs.uberall.com/apis/swagger/status-check/post_search.md): Initiate an online presence check starting with the name and address of the location

### Search in a Directory

 - [GET /search/{id}](https://docs.uberall.com/apis/swagger/status-check/get_search_id.md): Search for a location identified by a uberall unique id in a specific directory

## Store Finder

Products - Store Finder

### Get all locations

 - [GET /store-finders/{storeKey}/locations/all](https://docs.uberall.com/apis/swagger/store-finder/get_store_finders_storekey_locations_all.md): Get all locations in your store finder

### Get location details

 - [GET /store-finders/{storeKey}/locations/{id}](https://docs.uberall.com/apis/swagger/store-finder/get_store_finders_storekey_locations_id.md): Get details for a specific location within the store finder

### Get all possible filter values

 - [GET /store-finders/{storeKey}/filters](https://docs.uberall.com/apis/swagger/store-finder/get_store_finders_storekey_filters.md): Will return all possible filter values for the given store finder. If locations are eligible for translations and a language is provided it will translate the values.

### Search among the locations

 - [GET /store-finders/{storeKey}/locations](https://docs.uberall.com/apis/swagger/store-finder/get_store_finders_storekey_locations.md): Search among the locations of the store finder

## Templates

Products - Response Library - Templates

### Get All Templates

 - [GET /templates](https://docs.uberall.com/apis/swagger/templates/get_templates.md): Get all templates, potentially filtered by businesses, locations, authors, ...

### Creates a Template

 - [POST /templates](https://docs.uberall.com/apis/swagger/templates/post_templates.md): Creates a template

### Get a Template

 - [GET /templates/{id}](https://docs.uberall.com/apis/swagger/templates/get_templates_id.md): Get all information about a specific template

### Delete a Template

 - [DELETE /templates/{id}](https://docs.uberall.com/apis/swagger/templates/delete_templates_id.md): Delete a Template

### Update a Template

 - [PATCH /templates/{id}](https://docs.uberall.com/apis/swagger/templates/patch_templates_id.md): Make changes to a template. Any blank parameter deletes an old value, any unspecified parameter does nothing

### Increment the count of times a Template has been used

 - [POST /templates/{id}/increment-usage](https://docs.uberall.com/apis/swagger/templates/post_templates_id_increment_usage.md): Every time a template is used we trigger this endpoint to increment the usage count

### Returns a list of Authors

 - [GET /templates/authors](https://docs.uberall.com/apis/swagger/templates/get_templates_authors.md): Returns a list containing template authors for the input business ids

### Returns a list of Tags

 - [GET /templates/tags](https://docs.uberall.com/apis/swagger/templates/get_templates_tags.md): Returns a list containing template tags for the input business ids

## Batch Operation

Locations Hub - Locations - Batch Operations (excel)

### Get all Location Imports

 - [GET /batch](https://docs.uberall.com/apis/swagger/batch-operation/get_batch.md): Returns a list of all existing location imports for the current user

### Get Excel document with Location errors

 - [GET /batch/{id}/error-report](https://docs.uberall.com/apis/swagger/batch-operation/get_batch_id_error_report.md): After a file import, a results report is created with all location failures. This endpoints allows downloading only the locations with errors.

## Categories

Locations Hub - Categories

### Get the recommended attributes for a Category

 - [GET /categories/{id}/attribute-recommendations](https://docs.uberall.com/apis/swagger/categories/get_categories_id_attribute_recommendations.md): Get all Recommended attributes for the Category, Country excluding (already applied attributes on location/payment related attributes)
Notes:
- Sent to Google and Apple maps
- Only the non payment related attributes available and not applied to the location for the primary category of the location can be selected and setup

### Get Attributes for a specific Category

 - [GET /categories/{id}/attributes](https://docs.uberall.com/apis/swagger/categories/get_categories_id_attributes.md): Get all Attributes for the Category, Country and Language

Notes: 
- Sent to Google and Apple maps
- Only the attributes available for the primary category of the location can be selected and setup

### Get All or Several Categories

 - [GET /categories](https://docs.uberall.com/apis/swagger/categories/get_categories.md): Get a list of all available location categories, or specific location categories based on the following parameters

### Get available Google Structured Services for a specific Category

 - [GET /categories/{id}/google-services](https://docs.uberall.com/apis/swagger/categories/get_categories_id_google_services.md): GET the list of Google's structured services for a location's business category. Google does not have structured services for all business categories.

### Get the supported More Hours types for a specific Category

 - [GET /categories/{id}/more-hours-types](https://docs.uberall.com/apis/swagger/categories/get_categories_id_more_hours_types.md): Get all supported More Hours types for a specific Category. Optionally specify language, otherwise default sales partner language is returned

### Get available Photo types for a specific Category (deprecated)

 - [GET /categories/{id}/available-photo-types](https://docs.uberall.com/apis/swagger/categories/get_categories_id_available_photo_types.md): Deprecated: This endpoint is deprecated and will be removed in a future version.
                             Please use '/api/rules-engine/location-photo-constraints' instead.

## Collection Management

Locations Hub - Collections - Collection Management

### Get all collections

 - [GET /collections](https://docs.uberall.com/apis/swagger/collection-management/get_collections.md): Get all the collections managed by the current API user.

### Create a collection

 - [POST /collections](https://docs.uberall.com/apis/swagger/collection-management/post_collections.md): Create a new collection managed by the current API user. If the user specifies a set of locations for the collections, users managing the whole set of locations can also manage the collection.

### Get a Collection

 - [GET /collections/{id}](https://docs.uberall.com/apis/swagger/collection-management/get_collections_id.md): Retrieve a specific Collection by id

### Delete a Collection

 - [DELETE /collections/{id}](https://docs.uberall.com/apis/swagger/collection-management/delete_collections_id.md): Delete a specific Collection by id

### Update a Collection

 - [PATCH /collections/{id}](https://docs.uberall.com/apis/swagger/collection-management/patch_collections_id.md): Update a specific Collection by id

## Content List

Locations Hub - Collections - Content List

### Get All Content Lists

 - [GET /content-lists](https://docs.uberall.com/apis/swagger/content-list/get_content_lists.md): Get all content lists managed by the current API user

### Create a Content List

 - [POST /content-lists](https://docs.uberall.com/apis/swagger/content-list/post_content_lists.md): Create a content list

### Get a Content List

 - [GET /content-lists/{id}](https://docs.uberall.com/apis/swagger/content-list/get_content_lists_id.md): Get a content list identified by its uberall unique id

### Delete a Content List

 - [DELETE /content-lists/{id}](https://docs.uberall.com/apis/swagger/content-list/delete_content_lists_id.md): Delete a content list

### Update a Content List

 - [PATCH /content-lists/{id}](https://docs.uberall.com/apis/swagger/content-list/patch_content_lists_id.md): Update a content list

## Locations Data

Locations Hub - Locations Data

### Get the available amenities (Google Lodging) fields for a location

 - [GET /locations/available-lodging-fields](https://docs.uberall.com/apis/swagger/locations-data/get_locations_available_lodging_fields.md): Get the list of all available amenities (Google Lodging) fields.

### Get the city for locations

 - [GET /locations/cities](https://docs.uberall.com/apis/swagger/locations-data/get_locations_cities.md): Get the location's city

### Get the country for locations

 - [GET /locations/countries](https://docs.uberall.com/apis/swagger/locations-data/get_locations_countries.md): Get the country for each location

### Get Several Locations

 - [GET /locations](https://docs.uberall.com/apis/swagger/locations-data/get_locations.md): Get locations managed by the current API user. Some fields are omitted (such as paymentOptions and services). For a full list use the GET/api/locations/$id endpoint.

### Create a Location

 - [POST /locations](https://docs.uberall.com/apis/swagger/locations-data/post_locations.md): Create a location and add it to an existing business

### Delete Several Locations

 - [DELETE /locations](https://docs.uberall.com/apis/swagger/locations-data/delete_locations.md): Delete several locations identified by their uberall unique ids. 
Locations can be deleted only if they are inactivated (status = INACTIVE) and are no longer billed (endDate < now).

### Update Several Locations

 - [PATCH /locations](https://docs.uberall.com/apis/swagger/locations-data/patch_locations.md): Make changes to a list of locations. Any blank parameter deletes an old value, any unspecified parameter does nothing
            
Caution! Changing the Location Name, Country, Street, ZIP, City, Province, Phone Number, or Primary Business Category
            may cause your listings to become unverified on Google, which could temporarily impact your visibility.

### Get the directories for locations

 - [GET /locations/directories](https://docs.uberall.com/apis/swagger/locations-data/get_locations_directories.md): Get the directories for a location

### Get a Location

 - [GET /locations/{id}](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id.md): Get all information about a specific location, including listing statuses

### Update a Location

 - [PATCH /locations/{id}](https://docs.uberall.com/apis/swagger/locations-data/patch_locations_id.md): Make changes to a location. Any blank parameter deletes an old value; any unspecified parameter is left unchanged.
                            
Caution! Changing the Location Name, Country, Street, ZIP, City, Province, Phone Number, or Primary Business Category
                            may cause your listings to become unverified on Google, which could temporarily impact your visibility.

### Get a list of basic business details

 - [GET /locations/businesses](https://docs.uberall.com/apis/swagger/locations-data/get_locations_businesses.md): Get a list of basic business details containing "id" and "name", that can be viewed by the current user.

### Get the keywords for locations

 - [GET /locations/keywords](https://docs.uberall.com/apis/swagger/locations-data/get_locations_keywords.md): Get the keywords for locations

### Get Historical Visibility Index

 - [GET /locations/{id}/visibility-indexes/interesting](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_visibility_indexes_interesting.md): Get a Visibility Index time series. Only days where the Visibility Index changed will be returned

### Get the labels for locations

 - [GET /locations/labels](https://docs.uberall.com/apis/swagger/locations-data/get_locations_labels.md): Get the labels assigned to a location

### Get the post / zip code for locations

 - [GET /locations/postcodes](https://docs.uberall.com/apis/swagger/locations-data/get_locations_postcodes.md): Get the post / zip code assigned to a location

### Get the province/state for locations

 - [GET /locations/provinces](https://docs.uberall.com/apis/swagger/locations-data/get_locations_provinces.md): Get a list of provinces/states, for locations available to the user, with filtering on businesses, countries, or a search text

### Get Locations' Statistics

 - [GET /locations/statistics](https://docs.uberall.com/apis/swagger/locations-data/get_locations_statistics.md): Get statistics about the locations the current user is managing: total and breakdown by status

### Sync a Location

 - [POST /locations/{id}/sync](https://docs.uberall.com/apis/swagger/locations-data/post_locations_id_sync.md): Start a sync on all directories for a specific location

### Sync Several Locations

 - [POST /locations/sync](https://docs.uberall.com/apis/swagger/locations-data/post_locations_sync.md): Start a sync on all directories for several locations identified by their unique uberall id

### Update EV Dynamic Data

 - [PATCH /locations/{id}/ev-data/{uid}](https://docs.uberall.com/apis/swagger/locations-data/patch_locations_id_ev_data_uid.md): Update EV Charging data for a given EV Charging Station.

### Get Location's Visibility Index

 - [GET /locations/{id}/visibility-indexes](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_visibility_indexes.md): Get the latest location's visibility index

### DEPRECATED - Get Location's Data Points (deprecated)

 - [GET /locations/{id}/datapoints](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_datapoints.md): Deprecated. Use https://uberall.com/en/developers/apiDocumentation#_api_data-points-GET instead.

### DEPRECATED - Get Location's Data Point Statistics (deprecated)

 - [GET /locations/{id}/datapoints/statistics](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_datapoints_statistics.md): Deprecated. Use https://uberall.com/en/developers/apiDocumentation#_api_data-points_statistics-GET instead.

### Get a Location's Dashboard (deprecated)

 - [GET /locations/{id}/dashboard](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_dashboard.md): Get all necessary information to build a location's dashboard

## Custom Items

Locations Hub - Collections - Custom Items

### Get all Custom Items

 - [GET /custom-items](https://docs.uberall.com/apis/swagger/custom-items/get_custom_items.md): Get all custom items the current API user can manage.
To specify products with identifier please provide ?identifier= in the url param
By default, 50 are returned, you can use up to max=10000 param

### Create a Custom Item

 - [POST /custom-items](https://docs.uberall.com/apis/swagger/custom-items/post_custom_items.md): Create a custom item. It can be added to a content list later

### Delete a Custom Item using identifier

 - [DELETE /custom-items](https://docs.uberall.com/apis/swagger/custom-items/delete_custom_items.md): Delete a custom item identified by identifier in the url param

### Get a Custom Item

 - [GET /custom-items/{id}](https://docs.uberall.com/apis/swagger/custom-items/get_custom_items_id.md): Get a single custom item

### Delete a Custom Item

 - [DELETE /custom-items/{id}](https://docs.uberall.com/apis/swagger/custom-items/delete_custom_items_id.md): Delete a custom item

### Update a Custom Item

 - [PATCH /custom-items/{id}](https://docs.uberall.com/apis/swagger/custom-items/patch_custom_items_id.md): Make changes to a custom item. Any blank parameter deletes an old value, any unspecified parameter does nothing

## Events

Locations Hub - Collections - Events

### Get All Events

 - [GET /events](https://docs.uberall.com/apis/swagger/events/get_events.md): Get all events the current API user can manage.
To specify events with identifier please provide ?identifier= in the URL param
By default, 50 are returned, you can use up to max=10000 in the URL param

### Create an Event

 - [POST /events](https://docs.uberall.com/apis/swagger/events/post_events.md): Create a new event. It can be added to a content list later

### Delete an Event using identifier

 - [DELETE /events](https://docs.uberall.com/apis/swagger/events/delete_events.md): Delete an event identified by identifier in the url param

### Update an Event using identifier

 - [PATCH /events](https://docs.uberall.com/apis/swagger/events/patch_events.md): Make changes to an event, always use ?identifier= in url param to identify the event uniquely
Any blank parameter deletes an old value, any unspecified parameter does nothing

### Get an Event

 - [GET /events/{id}](https://docs.uberall.com/apis/swagger/events/get_events_id.md): Get a single event identified by its uberall unique id

### Delete an Event

 - [DELETE /events/{id}](https://docs.uberall.com/apis/swagger/events/delete_events_id.md): Delete an event

### Update an Event

 - [PATCH /events/{id}](https://docs.uberall.com/apis/swagger/events/patch_events_id.md): Make changes to an event. Any blank parameter deletes an old value, any unspecified parameter does nothing

## Listings

Locations Hub - Locations - Listings

### Get Location's Facebook Page

 - [GET /locations/{id}/facebook/page](https://docs.uberall.com/apis/swagger/listings/get_locations_id_facebook_page.md): Get the Facebook page connected to a specific location

### Disconnect Location's Facebook Page

 - [DELETE /locations/{id}/facebook/page](https://docs.uberall.com/apis/swagger/listings/delete_locations_id_facebook_page.md): Disconnect the Facebook page connected to a specific location

### Get information about the connected Google Page of the specified location

 - [GET /locations/{id}/google/page](https://docs.uberall.com/apis/swagger/listings/get_locations_id_google_page.md): Get information such as Google place id, write review URL, etc.

### Disconnect Google Page

 - [DELETE /locations/{id}/google/page](https://docs.uberall.com/apis/swagger/listings/delete_locations_id_google_page.md): Disconnect the Google Page connected to the specified location

### Disconnect Instagram Page

 - [DELETE /locations/{id}/instagram/page](https://docs.uberall.com/apis/swagger/listings/delete_locations_id_instagram_page.md): Disconnect the Instagram Page connected to the specified location

### Disconnect LinkedIn listing

 - [DELETE /locations/{id}/linked-in/page](https://docs.uberall.com/apis/swagger/listings/delete_locations_id_linked_in_page.md): Disconnects the LinkedIn page from the specified location

### Edit Listing

 - [PATCH /listings/{id}](https://docs.uberall.com/apis/swagger/listings/patch_listings_id.md): Used for MANUALLY_CREATED listings to update listingUrl and syncStatus

### Flag a Listing

 - [PUT /listings/{id}/flag](https://docs.uberall.com/apis/swagger/listings/put_listings_id_flag.md): Flag a listing if it is not corresponding to the right location

### Get all Listings for a specific Location

 - [GET /locations/{id}/listings-details/list](https://docs.uberall.com/apis/swagger/listings/get_locations_id_listings_details_list.md): Lists all the details of all Listings for a specific Location

### DEPRECATED - Connect Facebook Page (deprecated)

 - [POST /locations/{id}/facebook/page](https://docs.uberall.com/apis/swagger/listings/post_locations_id_facebook_page.md): Connect a Facebook page to the location

## Labels

Locations Hub - Labels

### Get all labels

 - [GET /labels/list](https://docs.uberall.com/apis/swagger/labels/get_labels_list.md): Get all labels associated to the locations of the user

### Get All Labels (deprecated)

 - [GET /labels](https://docs.uberall.com/apis/swagger/labels/get_labels.md): Get all labels associated to locations of the user

## Location Groups

Locations Hub - Location Groups

### Add locations to a LocationGroup

 - [POST /location-groups/{id}/locations](https://docs.uberall.com/apis/swagger/location-groups/post_location_groups_id_locations.md): Can be used for adding locations to a single LocationGroup.

### Search through all LocationGroups

 - [GET /location-groups](https://docs.uberall.com/apis/swagger/location-groups/get_location_groups.md): Can be used to search for specific location groups or even return all, depending on the given params.

### Create a new LocationGroup

 - [POST /location-groups](https://docs.uberall.com/apis/swagger/location-groups/post_location_groups.md): Can be used to create a new LocationGroup

### Get a single LocationGroup

 - [GET /location-groups/{id}](https://docs.uberall.com/apis/swagger/location-groups/get_location_groups_id.md): Can be used to retrieve a single LocationGroup.

### Delete a single LocationGroup

 - [DELETE /location-groups/{id}](https://docs.uberall.com/apis/swagger/location-groups/delete_location_groups_id.md): Can be used for deleting a single LocationGroup.

### Update a single LocationGroup

 - [PATCH /location-groups/{id}](https://docs.uberall.com/apis/swagger/location-groups/patch_location_groups_id.md): Can be used for updating a single LocationGroup.

## Menu Items

Locations Hub - Locations - Menu Items

### Get All Menu Items

 - [GET /menu-items](https://docs.uberall.com/apis/swagger/menu-items/get_menu_items.md): Get all menu items the current API user can manage.
To specify products with identifier please provide ?identifier= in the URL param
By default, 50 are returned, you can use up to max=10000 in the URL param

### Create a Menu Item

 - [POST /menu-items](https://docs.uberall.com/apis/swagger/menu-items/post_menu_items.md): Create a menu item. It can be added to a content list later

### Delete a Menu Item using identifier

 - [DELETE /menu-items](https://docs.uberall.com/apis/swagger/menu-items/delete_menu_items.md): Delete a menu item identified by identifier in the url param

### Update a Menu Item using identifier

 - [PATCH /menu-items](https://docs.uberall.com/apis/swagger/menu-items/patch_menu_items.md): Make changes to a menu item, always use ?identifier= in url param to identify the menu item uniquely
Any blank parameter deletes an old value, any unspecified parameter does nothing

### Get a Menu Item

 - [GET /menu-items/{id}](https://docs.uberall.com/apis/swagger/menu-items/get_menu_items_id.md): Get a sigle menu item

### Delete a Menu Item

 - [DELETE /menu-items/{id}](https://docs.uberall.com/apis/swagger/menu-items/delete_menu_items_id.md): Delete a menu item

### Update a Menu Item

 - [PATCH /menu-items/{id}](https://docs.uberall.com/apis/swagger/menu-items/patch_menu_items_id.md): Make changes to a menu item. Any blank parameter deletes an old value, any unspecified parameter does nothing

### Get accepted values for dietary restrictions and allergens

 - [GET /menu-items/accepted-extra-fields](https://docs.uberall.com/apis/swagger/menu-items/get_menu_items_accepted_extra_fields.md): Menu items can have additional information added to them. Certain fields are limited to specific values. Get the list of values here.

## Persons

Locations Hub - Locations - Persons

### Get All Persons

 - [GET /persons](https://docs.uberall.com/apis/swagger/persons/get_persons.md): Get all persons the current API user can manage.
To specify products with identifier please provide ?identifier= in the URL param
By default, 50 are returned, you can use up to max=10000 URL param

### Create a Person

 - [POST /persons](https://docs.uberall.com/apis/swagger/persons/post_persons.md): Create a person. It can be added to a content list later

### Delete a Person using identifier

 - [DELETE /persons](https://docs.uberall.com/apis/swagger/persons/delete_persons.md): Delete a person identified by identifier in the url param

### Update a Person using identifier

 - [PATCH /persons](https://docs.uberall.com/apis/swagger/persons/patch_persons.md): Make changes to a person, always use ?identifier= in url param to identify the person uniquely
Any blank parameter deletes an old value, any unspecified parameter does nothing

### Get a Person

 - [GET /persons/{id}](https://docs.uberall.com/apis/swagger/persons/get_persons_id.md): Get a person identified by its uberall unique id

### Delete a Person

 - [DELETE /persons/{id}](https://docs.uberall.com/apis/swagger/persons/delete_persons_id.md): Delete a person

### Update a Person

 - [PATCH /persons/{id}](https://docs.uberall.com/apis/swagger/persons/patch_persons_id.md): Make changes to a person. Any blank parameter deletes an old value, any unspecified parameter does nothing

## Locations Photos

Locations Hub - Locations Photos

### Upload a new photo

 - [POST /photos](https://docs.uberall.com/apis/swagger/locations-photos/post_photos.md): Upload a single photo for a given location. This endpoint accepts multipart/form-data with a binary photo file.

### Get a Photo

 - [GET /photos/{id}](https://docs.uberall.com/apis/swagger/locations-photos/get_photos_id.md): Get a photo identified by its uberall unique id

### Delete a Photo

 - [DELETE /photos/{id}](https://docs.uberall.com/apis/swagger/locations-photos/delete_photos_id.md): Delete a photo identified by its uberall unique id

### Update an existing photo

 - [PATCH /photos/{id}](https://docs.uberall.com/apis/swagger/locations-photos/patch_photos_id.md): Update metadata of a photo identified by its uberall unique id.
                             Only metadata fields are supported here (e.g., type, description, identifier, crop values, sourceUrl).
                             The photo file/content cannot be replaced via this endpoint.
                             Each location can contain only one photo of a given type. If a photo of that type already exists, the request will fail.

## Products

Locations Hub - Locations - Product

### Get All Products

 - [GET /products](https://docs.uberall.com/apis/swagger/products/get_products.md): Get all products the current API user can manage.
To specify products with identifier please provide ?identifier= in the URL param
By default, 50 are returned, you can use up to max=10000 URL param

### Create a Product

 - [POST /products](https://docs.uberall.com/apis/swagger/products/post_products.md): Create a product. It can be added to a content list later

### Delete a Product using identifier

 - [DELETE /products](https://docs.uberall.com/apis/swagger/products/delete_products.md): Delete a product identified by identifier in the url param

### Update a Product using identifier

 - [PATCH /products](https://docs.uberall.com/apis/swagger/products/patch_products.md): Make changes to a product, always use ?identifier= in url param to identify the product uniquely
Any blank parameter deletes an old value, any unspecified parameter does nothing

### Get a Product

 - [GET /products/{id}](https://docs.uberall.com/apis/swagger/products/get_products_id.md): Get a product identified by its uberall unique id

### Delete a Product

 - [DELETE /products/{id}](https://docs.uberall.com/apis/swagger/products/delete_products_id.md): Delete a product identified by its uberall unique id

### Update a Product

 - [PATCH /products/{id}](https://docs.uberall.com/apis/swagger/products/patch_products_id.md): Make changes to a product. Any blank parameter deletes an old value, any unspecified parameter does nothing

## Service Items

Locations Hub - Locations - Service Items

### Get All Service Items

 - [GET /service-items](https://docs.uberall.com/apis/swagger/service-items/get_service_items.md): Get all service items the current API user can manage.
To specify services with identifier please provide ?identifier= in the URL param
By default, 50 are returned, you can use up to max=10000 in the URL param

### Create a Service Item

 - [POST /service-items](https://docs.uberall.com/apis/swagger/service-items/post_service_items.md): Create a menu item. It can be added to a content collection later

### Get a Service Item

 - [GET /service-items/{id}](https://docs.uberall.com/apis/swagger/service-items/get_service_items_id.md): Get a single service item

### Delete a Service Item

 - [DELETE /service-items/{id}](https://docs.uberall.com/apis/swagger/service-items/delete_service_items_id.md): Delete a service item identified by identifier in the url param

### Update a Service Item

 - [PATCH /service-items/{id}](https://docs.uberall.com/apis/swagger/service-items/patch_service_items_id.md): Make changes to a service item.
 Always use ?identifier= in url param to identify the service item uniquely. 
Any blank parameter deletes an old value, any unspecified parameter does nothing

## Suggestions

Locations Hub - Locations - Suggestions

### Update all suggestions status

 - [PUT /locations/suggestions/update-all-status](https://docs.uberall.com/apis/swagger/suggestions/put_locations_suggestions_update_all_status.md): Update the status of all PENDING suggestions that belong to the locations identified by the filter parameters.
                For non-admin users any non-managed locations will be ignored.
                Note that rejecting a suggestion does not delete it, and accepting the suggestion won't automatically apply it to the location.
                The status can only be set to ACCEPTED or DECLINED

### Get suggestions

 - [GET /locations/{id}/suggestions](https://docs.uberall.com/apis/swagger/suggestions/get_locations_id_suggestions.md): Get location suggestions given a search data

### Update suggestions

 - [PUT /locations/{id}/suggestions](https://docs.uberall.com/apis/swagger/suggestions/put_locations_id_suggestions.md): Update the given suggestion object, used to track the status of incoming suggestions. Note that rejecting a suggestion does not delete it, and accepting the suggestion won't automatically apply it to the location.

### Get Location Suggestions

 - [GET /locations/suggestions](https://docs.uberall.com/apis/swagger/suggestions/get_locations_suggestions.md): Get a list of suggestions for all locations managed by the logged user

## Rules Engine

Rules Engine

### Get all photo constraints

 - [GET /rules-engine/all-photo-constraints](https://docs.uberall.com/apis/swagger/rules-engine/get_rules_engine_all_photo_constraints.md): Get all photo constraints

### Get directory brand photo constraints

 - [GET /rules-engine/directory-brand-photo-constraints](https://docs.uberall.com/apis/swagger/rules-engine/get_rules_engine_directory_brand_photo_constraints.md): Get directory brand photo constraints

### Get available photo types

 - [GET /rules-engine/location-photo-constraints](https://docs.uberall.com/apis/swagger/rules-engine/get_rules_engine_location_photo_constraints.md): Retrieves the available photo types based on the provided filter parameters.

